<?php
return array(
	'user_description'           =>
		array(
			'type'     => 'text',
			'settings' =>
				array(
					'min_length'      => '',
					'max_length'      => '',
					'char_validation' => 'none',
					'regex'           => '',
				),
			'realm'    => 2,
			'data'     =>
				array(
					'_is_personal_data'         => true,
					'_personal_data_identifier' => 'author',
					'_wp_roles'                 => null,
					'_user_register_show'       => false,
					'label'                     => __( 'About Me', 'directories-pro' ),
					'hide_label'                => false,
					'description'               => '',
					'default_value'             => '',
					'required'                  => false,
					'disabled'                  => false,
					'weight'                    => 9,
					'max_num_items'             => 1,
					'widget'                    => 'wp_editor',
					'widget_settings'           =>
						array(
							'no_tinymce'          => 1,
							'rows'                => 5,
							'no_quicktags'        => false,
							'no_media_buttons'    => false,
							'admin_use_wp_editor' => false,
						),
					'conditions'                =>
						array(),
					'_admin_only'               => false,
				),
		),
	'user_photo'                 =>
		array(
			'type'     => 'wp_image',
			'settings' =>
				array(
					'max_file_size' => 2048,
					'allowed_files' => 'image',
				),
			'realm'    => 2,
			'data'     =>
				array(
					'_wp_roles'           => null,
					'_user_register_show' => true,
					'label'               => __( 'Profile Picture', 'directories-pro' ),
					'hide_label'          => false,
					'description'         => '',
					'default_value'       => null,
					'required'            => false,
					'disabled'            => false,
					'weight'              => 10,
					'max_num_items'       => 1,
					'widget'              => 'wp_image',
					'widget_settings'     =>
						array(),
					'conditions'          =>
						array(),
					'_admin_only'         => false,
				),
		),
	'field_user_social_accounts' =>
		array(
			'type'     => 'social_accounts',
			'settings' =>
				array(
					'medias' =>
						array(
							0 => 'facebook',
							1 => 'twitter',
							2 => 'linkedin',
							3 => 'youtube',
							4 => 'instagram',
							5 => 'rss',
						),
				),
			'realm'    => 0,
			'data'     =>
				array(
					'_is_personal_data'         => true,
					'_personal_data_identifier' => 'author',
					'_wp_roles'                 => null,
					'_user_register_show'       => false,
					'label'                     => __( 'Social Accounts', 'directories-pro' ),
					'hide_label'                => false,
					'description'               => '',
					'default_value'             => null,
					'required'                  => false,
					'disabled'                  => false,
					'weight'                    => 5,
					'max_num_items'             => 0,
					'widget'                    => 'social_accounts',
					'widget_settings'           =>
						array(
							'cols' => '2',
						),
					'conditions'                =>
						array(),
					'_admin_only'               => false,
				),
		),
	'user_photos'                =>
		array(
			'type'     => 'wp_image',
			'settings' =>
				array(
					'max_file_size' => 2048,
					'allowed_files' => 'image',
				),
			'realm'    => 2,
			'data'     =>
				array(
					'_wp_roles'           => null,
					'_user_register_show' => false,
					'label'               => __( 'Photos', 'directories-pro' ),
					'hide_label'          => false,
					'description'         => '',
					'default_value'       => null,
					'required'            => false,
					'disabled'            => false,
					'weight'              => 11,
					'max_num_items'       => 12,
					'widget'              => 'wp_image',
					'widget_settings'     =>
						array(),
					'conditions'          =>
						array(),
					'_admin_only'         => false,
				),
		),
	'field_birthday'             =>
		array(
			'type'     => 'date',
			'settings' =>
				array(
					'date_range'        => null,
					'enable_time'       => false,
					'date_range_enable' => false,
					'month_only'        => false,
				),
			'realm'    => 0,
			'data'     =>
				array(
					'_wp_roles'           => null,
					'_user_register_show' => false,
					'label'               => __( 'Date of Birth', 'directories-pro' ),
					'hide_label'          => false,
					'description'         => '',
					'default_value'       => null,
					'required'            => false,
					'disabled'            => false,
					'weight'              => 8,
					'max_num_items'       => 1,
					'widget'              => 'date',
					'widget_settings'     =>
						array(
							'default_year'          => 1990,
							'time_format'           => '24',
							'current_date_selected' => false,
						),
					'conditions'          =>
						array(),
					'_admin_only'         => false,
				),
		),
	'field_gender'               =>
		array(
			'type'     => 'choice',
			'settings' =>
				array(
					'options' =>
						array(
							'options' =>
								array(
									'male'   => 'Male',
									'female' => 'Female',
								),
							'icons'   =>
								array(
									'male'   => 'fas fa-male',
									'female' => 'fas fa-female',
								),
							'default' =>
								array(),
						),
				),
			'realm'    => 0,
			'data'     =>
				array(
					'_wp_roles'           => null,
					'_user_register_show' => false,
					'label'               => __( 'Gender', 'directories-pro' ),
					'hide_label'          => false,
					'description'         => '',
					'default_value'       => null,
					'required'            => false,
					'disabled'            => false,
					'weight'              => 7,
					'max_num_items'       => 1,
					'widget'              => 'select',
					'widget_settings'     =>
						array(),
					'conditions'          =>
						array(),
					'_admin_only'         => false,
				),
		),
	'field_user_phone_number'    =>
		array(
			'type'     => 'phone',
			'settings' =>
				array(
					'min_length'      => null,
					'max_length'      => null,
					'char_validation' => 'none',
					'mask'            => '(999) 999-9999',
				),
			'realm'    => 0,
			'data'     =>
				array(
					'_is_personal_data'         => false,
					'_personal_data_identifier' => 'author',
					'_wp_roles'                 => null,
					'_user_register_show'       => false,
					'label'                     => __( 'Phone Number', 'directories-pro' ),
					'hide_label'                => false,
					'description'               => '',
					'default_value'             => '',
					'required'                  => false,
					'disabled'                  => false,
					'weight'                    => 3,
					'max_num_items'             => 1,
					'widget'                    => 'phone',
					'widget_settings'           =>
						array(
							'placeholder' => '',
							'mask'        => '',
						),
					'conditions'                =>
						array(),
					'_admin_only'               => false,
				),
		),
	'field_job_title'            =>
		array(
			'type'     => 'choice',
			'settings' =>
				array(
					'options' =>
						array(
							'options' =>
								array(
									'Data Scientist'       => 'Data Scientist',
									'Devops Engineer'      => 'Devops Engineer',
									'Marketing Manager'    => 'Marketing Manager',
									'Occupational Therapist' => 'Occupational Therapist',
									'HR Manager'           => 'HR Manager',
									'Electrical Engineer'  => 'Electrical Engineer',
									'Strategy Manager'     => 'Strategy Manager',
									'Mobile Developer'     => 'Mobile Developer',
									'Product Manager'      => 'Product Manager',
									'Manufacturing Engineer' => 'Manufacturing Engineer',
									'Compliance Manager'   => 'Compliance Manager',
									'Finance Manager'      => 'Finance Manager',
									'Risk Manager'         => 'Risk Manager',
									'Business Development Manager' => 'Business Development Manager',
									'Front End Engineer'   => 'Front End Engineer',
									'Site Reliability Engineer' => 'Site Reliability Engineer',
									'Mechanical Engineer'  => 'Mechanical Engineer',
									'Analytics Manager'    => 'Analytics Manager',
									'Tax Manager'          => 'Tax Manager',
									'Creative Manager'     => 'Creative Manager',
									'Software Engineer'    => 'Software Engineer',
									'Hardware Engineer'    => 'Hardware Engineer',
									'Corporate Recruiter'  => 'Corporate Recruiter',
									'QA Manager'           => 'QA Manager',
									'Physician Assistant'  => 'Physician Assistant',
									'Database Administrator' => 'Database Administrator',
									'UX Designer'          => 'UX Designer',
									'Nursing Manager'      => 'Nursing Manager',
									'Engagement Manager'   => 'Engagement Manager',
									'Solutions Architect'  => 'Solutions Architect',
									'Process Engineer'     => 'Process Engineer',
									'Reliability Engineer' => 'Reliability Engineer',
									'Data Engineer'        => 'Data Engineer',
									'Operations Manager'   => 'Operations Manager',
									'Speech Language Pathologist' => 'Speech Language Pathologist',
									'Communications Manager' => 'Communications Manager',
									'Audit Manager'        => 'Audit Manager',
									'Data Analyst'         => 'Data Analyst',
									'Systems Analyst'      => 'Systems Analyst',
									'Facilities Manager'   => 'Facilities Manager',
									'Strategic Account Manager' => 'Strategic Account Manager',
									'Business Intelligence Developer' => 'Business Intelligence Developer',
									'Business Analyst'     => 'Business Analyst',
									'Accounting Manager'   => 'Accounting Manager',
									'UI Developer'         => 'UI Developer',
									'Executive Assistant'  => 'Executive Assistant',
									'Management Consultant' => 'Management Consultant',
									'Project Manager'      => 'Project Manager',
									'Nurse Practitioner'   => 'Nurse Practitioner',
									'HR Generalist'        => 'HR Generalist',
									'Translator'           => 'Translator',
								),
							'icons'   =>
								array(),
							'default' =>
								array(),
						),
				),
			'realm'    => 0,
			'data'     =>
				array(
					'_wp_roles'           => null,
					'_user_register_show' => false,
					'label'               => __( 'Job Title', 'directories-pro' ),
					'hide_label'          => false,
					'description'         => '',
					'default_value'       => null,
					'required'            => false,
					'disabled'            => false,
					'weight'              => 6,
					'max_num_items'       => 3,
					'widget'              => 'checkboxes',
					'widget_settings'     =>
						array(
							'columns' => '3',
							'sort'    => 1,
						),
					'conditions'          =>
						array(),
					'_admin_only'         => false,
				),
		),
	'user_post_count'            =>
		array(
			'type'     => 'user_post_count',
			'settings' =>
				array(),
			'realm'    => 2,
			'data'     =>
				array(
					'label'           => __( 'Post Count', 'directories-pro' ),
					'hide_label'      => false,
					'description'     => '',
					'default_value'   => null,
					'required'        => false,
					'disabled'        => false,
					'weight'          => 99,
					'max_num_items'   => 1,
					'widget'          => false,
					'widget_settings' =>
						array(),
					'conditions'      =>
						array(),
				),
		),
	'payment_subscriptions'      =>
		array(
			'type'     => 'payment_subscriptions',
			'settings' =>
				array(),
			'realm'    => 2,
			'data'     =>
				array(
					'label'           => __( 'Subscriptions', 'directories-pro' ),
					'hide_label'      => false,
					'description'     => '',
					'default_value'   => null,
					'required'        => false,
					'disabled'        => false,
					'weight'          => 0,
					'max_num_items'   => 1,
					'widget'          => 'payment_subscriptions',
					'widget_settings' =>
						array(),
					'conditions'      =>
						array(),
				),
		),
	'wordpressuser_role'         =>
		array(
			'type'     => 'wordpressuser_role',
			'settings' =>
				array(),
			'realm'    => 2,
			'data'     =>
				array(
					'_admin_only'         => false,
					'_user_register_show' => true,
					'_wp_roles'           => null,
					'label'               => __( 'User Role', 'directories-pro' ),
					'hide_label'          => false,
					'description'         => '',
					'default_value'       => null,
					'required'            => false,
					'disabled'            => true,
					'weight'              => 12,
					'max_num_items'       => 1,
					'widget'              => 'wordpressuser_role',
					'widget_settings'     =>
						array(
							'roles' => null,
						),
					'conditions'          =>
						array(),
				),
		),
);
